Subject: Offline Message from Hajar : Hello, This is my worst experience ever!!! I do
From: Zendesk Chat <[email-masked]>
To: [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked]
Date: Thu, 18 Jun 2020 02:45:48 -0000

From: Hajar  <[email-masked]>
Phone: 
Location: Riyadh, Saudi Arabia
URL: https://saudi.mumzworld.com/sa-ar/contact-us/
Department: 

Hello,
This is my worst experience ever!!!

I don’t know how to track my order,  it takes 20 days and there’s no link to know where is it.

Hope anyone can answer me as soon as possible. 

I will never repeat this experience with you again. 

----
Zopim
https://www.zopim.com